Package org.eclipse.m2m.atl.emftvm

# Interface Model

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `Metamodel`

All Known Implementing Classes:
  `CDOMetamodelImpl`, `CDOModelImpl`, `MetamodelImpl`, `ModelImpl`

public interface Model extends org.eclipse.emf.ecore.EObject
A representation of the model object 'Model'.

See Also:
  - `EmftvmPackage.getModel()`

## Method Summary

Modifier and Type
Method
Description
`LazyList<org.eclipse.emf.ecore.EObject>`
`allInstancesOf(org.eclipse.emf.ecore.EClass type)`
Returns all instances of the given `type`.
`void`
`deleteElement(org.eclipse.emf.ecore.EObject element)`
Deletes a root element from this `Model`.
`org.eclipse.emf.ecore.resource.Resource`
`getResource()`
Returns the value of the 'Resource' attribute.
`boolean`
`isAllowInterModelReferences()`
Returns the value of the 'Allow Inter Model References' attribute.
`org.eclipse.emf.ecore.EObject`
`newElement(org.eclipse.emf.ecore.EClass type)`
Creates a new model element of the given
`void`
`setAllowInterModelReferences(boolean value)`
Sets the value of the '`Allow Inter Model References`' attribute.
`void`
`setResource(org.eclipse.emf.ecore.resource.Resource value)`
Sets the value of the '`Resource`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getResource

org.eclipse.emf.ecore.resource.Resource getResource()
Returns the value of the 'Resource' attribute.

If the meaning of the 'Resource' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Resource' attribute.
See Also:
  - `setResource(Resource)`
  - `EmftvmPackage.getModel_Resource()`

### setResource

void setResource(org.eclipse.emf.ecore.resource.Resource value)
Sets the value of the '`Resource`' attribute.

Parameters:
  `value` - the new value of the 'Resource' attribute.
See Also:
  - `getResource()`

### isAllowInterModelReferences

boolean isAllowInterModelReferences()
Returns the value of the 'Allow Inter Model References' attribute. The default value is `"true"`.

If the meaning of the 'Allow Inter Model References' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Allow Inter Model References' attribute.
See Also:
  - `setAllowInterModelReferences(boolean)`
  - `EmftvmPackage.getModel_AllowInterModelReferences()`

### setAllowInterModelReferences

void setAllowInterModelReferences(boolean value)
Sets the value of the '`Allow Inter Model References`' attribute.

Parameters:
  `value` - the new value of the 'Allow Inter Model References' attribute.
See Also:
  - `isAllowInterModelReferences()`

### allInstancesOf

LazyList<org.eclipse.emf.ecore.EObject> allInstancesOf(org.eclipse.emf.ecore.EClass type)
Returns all instances of the given `type`.

Parameters:
  `type` - the metaclass for which to find the instances
Returns:
  all instances of the given `type`.

### newElement

org.eclipse.emf.ecore.EObject newElement(org.eclipse.emf.ecore.EClass type)
Creates a new model element of the given

    type

in this `Model`.

Parameters:
  `type` - the metaclass to instantiate
Returns:
  a new instance of the given

      type

### deleteElement

void deleteElement(org.eclipse.emf.ecore.EObject element)
Deletes a root element from this `Model`.

Parameters:
  `element` - the model element to delete